View unanswered posts | View active topics It is currently Sat Jun 23, 2018 1:44 pm



Post new topic Reply to topic  [ 12 posts ]  Go to page 1, 2  Next
 Error installing xplico in Ubuntu lucid (10.04) 
Author Message

Joined: Tue Aug 31, 2010 1:31 pm
Posts: 21
Reply with quote
Post Error installing xplico in Ubuntu lucid (10.04)
Dear ALL,
I am trying to install xplico 1.0.1 on Ubuntu 10.04.

I installed all pre-requisites (except I installed python-httplib2 instead of python3-httplib2 since it is not available for lucid).

Python 3.2 was compiled and installed from source since 10.04 (lucid) by default installs python 3.1 and not 3.2.

I have downloaded and performed make on nDPI and GeoIP (as per the tutorial), However when I run the make for xplico I am getting the following error :

ip.c:170:2: warning: #warning only commercial version has ipv4 defragmentation!
ip.c: In function ‘DissecRegist’:
ip.c:306: error: ‘DLT_IPV4’ undeclared (first use in this function)
ip.c:306: error: (Each undeclared identifier is reported only once
ip.c:306: error: for each function it appears in.)
make[2]: *** [ip.o] Error 1
make[2]: Leaving directory `/home/vikas/Desktop/xbuild/xplico-1.0.1/dissectors/ip'
make[1]: *** [subdir] Error 1
make[1]: Leaving directory `/home/vikas/Desktop/xbuild/xplico-1.0.1/dissectors'
make: *** [subdir] Error 1

Please advise.
(I decided to change my OS to 10.04 from 12.04 to install xplico but still cannot )

Regards

Vikas Sharma


Sat Jun 01, 2013 6:44 am
Profile

Joined: Tue Aug 31, 2010 1:31 pm
Posts: 21
Reply with quote
Post Re: Error installing xplico in Ubuntu lucid (10.04)
Dear ALL,

I have edited the ip.c and ipv6.c by defining the DLT_IPV4 and DLT_IPV6 as values
ip.c
#define DLT_IPV4 228

ipv6.c
#define DLT_IPV6 229

But now after making the xplico package, i am getting the following errors:

tcp_garbage.c:87: error: ‘NDPI_PROTOCOL_LONG_STRING’ undeclared here (not in a function)
tcp_garbage.c: In function ‘DissecRegist’:
tcp_garbage.c:566: warning: unused variable ‘cfg’
tcp_garbage.c: In function ‘DissectInit’:
tcp_garbage.c:645: warning: passing argument 3 of ‘ndpi_init_detection_module’ from incompatible pointer type
/home/vikas/Desktop/xbuild/xplico-1.0.1/../nDPI/src/include/ndpi_public_functions.h:145: note: expected ‘void (*)(void *)’ but argument is of type ‘void (*)(u_int32_t, void *, enum ndpi_log_level_t, const char *)’
tcp_garbage.c:645: error: too few arguments to function ‘ndpi_init_detection_module’
tcp_garbage.c:645: warning: assignment from incompatible pointer type
tcp_garbage.c:605: warning: unused variable ‘i’
make[2]: *** [tcp_garbage.o] Error 1
make[2]: Leaving directory `/home/vikas/Desktop/xbuild/xplico-1.0.1/dissectors/tcp_grbg'
make[1]: *** [subdir] Error 1
make[1]: Leaving directory `/home/vikas/Desktop/xbuild/xplico-1.0.1/dissectors'
make: *** [subdir] Error 1

-------
PLease advise on this.

Regards
Vikas Sharma


Sat Jun 01, 2013 10:08 am
Profile

Joined: Tue Aug 31, 2010 1:31 pm
Posts: 21
Reply with quote
Post Re: Error installing xplico in Ubuntu lucid (10.04)
i have managed to install the xplico.

But i am not able to setup pcap2wav.

The installation URL does not provide information in setting up apache2 to load pcap2wav application.

Can you please commands for that.

Regards

Vikas Sharma


Sat Jun 01, 2013 11:56 am
Profile
Site Admin

Joined: Wed Sep 16, 2009 10:09 pm
Posts: 394
Reply with quote
Post Re: Error installing xplico in Ubuntu lucid (10.04)
Hi,
we added some more instructions into the wiki: http://wiki.xplico.org/doku.php?id=pcap2wav
I remember you that the RTAudio (x-msrta: Real Time Audio) decoding is not public.

Ciao.


Sun Jun 02, 2013 6:56 am
Profile WWW

Joined: Tue Aug 31, 2010 1:31 pm
Posts: 21
Reply with quote
Post Re: Error installing xplico in Ubuntu lucid (10.04)
we have managed to install the xplico & pcap2wav on ubuntu 10.04 but when we try to run the /opt/xplico/script/session_mng.pyc we get the following issues


root@vikas-laptop:/opt/xplico/script# /opt/xplico/script/session_mng.pyc -n "AP home" "April"
/opt/xplico/script/session_mng.pyc: line 1: l
: command not found
/opt/xplico/script/session_mng.pyc: line 2: �d6Oc=@s2: command not found
/opt/xplico/script/session_mng.pyc: line 3: syntax error near unexpected token `)'
/opt/xplico/script/session_mng.pyc: line 3: `dZ
dZ
d�Z�Zed kr. y)ejejd' d�Z

We are unable to decode pcap files from web interface.
we are able to decode from console but not from the web interface

We have already installed python3-all, binfmt-support and python3-httplib2 (from source)

Please advise

Regards
Vikas Sharma


Sun Jun 02, 2013 9:03 pm
Profile
Site Admin

Joined: Wed Sep 16, 2009 10:09 pm
Posts: 394
Reply with quote
Post Re: Error installing xplico in Ubuntu lucid (10.04)
Hi,
the problem is the version of Python.
Try to use, from the source code of Xplico, the patch attached.
Attachment:
xplico_python3.1.tgz


Ciao.
Gianluca


You do not have the required permissions to view the files attached to this post.


Wed Jun 05, 2013 7:44 pm
Profile WWW

Joined: Tue Aug 31, 2010 1:31 pm
Posts: 21
Reply with quote
Post Re: Error installing xplico in Ubuntu lucid (10.04)
hi Gianluca,
I tried your patch.

Now there is a new error:

rm -f wbm_aol.pyc
py3compile wbm_aol.py
make[2]: py3compile: Command not found
make[2]: *** [wbm_aol.pyc] Error 127
make[2]: Leaving directory `/home/vikas/Desktop/xbuild/xplico-1.0.1/manipulators/mwmail'
make[1]: *** [subdir] Error 1
make[1]: Leaving directory `/home/vikas/Desktop/xbuild/xplico-1.0.1/manipulators'


Pls advise.

I am using Ubuntu 10.04

Regards

Vikas Sharma


Wed Jun 05, 2013 9:56 pm
Profile
Site Admin

Joined: Wed Sep 16, 2009 10:09 pm
Posts: 394
Reply with quote
Post Re: Error installing xplico in Ubuntu lucid (10.04)
Ok.
the patch is not perfect but you can use your fantasy to use the patch to fix your problem.

In the patch there are all the pyc file for python3.1, then:
  • compile and install Xplico without the patch
  • now replace the original pyc files (/opt/xplico/bin/, /opt/xplico/script/) with the files that you find in the tar file

Ciao.
Gianluca


Sat Jun 08, 2013 11:11 am
Profile WWW

Joined: Tue Aug 31, 2010 1:31 pm
Posts: 21
Reply with quote
Post Re: Error installing xplico in Ubuntu lucid (10.04)
OK, installed the xplico and got it to work,

But pcap2wav cannot decode pcap files still. I upload the files but it cannot create wav files, even though i can create the audio files from the pcap files using the xplico.

Pls advise

Regards
Vikas Sharma


Sun Jun 09, 2013 10:25 pm
Profile
Site Admin

Joined: Wed Sep 16, 2009 10:09 pm
Posts: 394
Reply with quote
Post Re: Error installing xplico in Ubuntu lucid (10.04)
Hi,
can you post your pcap or send it to me?

Gianluca


Mon Jun 10, 2013 4:42 pm
Profile WWW
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 12 posts ]  Go to page 1, 2  Next


Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group.
Designed by Vjacheslav Trushkin for Free Forums/DivisionCore.